Skip to main content
POST
/
book
/
parcel
Book a parcel shipment
curl --request POST \
  --url https://api.shippeek.dev/book/parcel \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "rateId": "<string>",
  "originCompany": "<string>",
  "originAddress": "<string>",
  "originContactName": "<string>",
  "originContactPhone": "<string>",
  "originContactEmail": "jsmith@example.com",
  "destCompany": "<string>",
  "destAddress": "<string>",
  "destContactName": "<string>",
  "destContactPhone": "<string>",
  "destContactEmail": "jsmith@example.com"
}
'

Documentation Index

Fetch the complete documentation index at: https://docs.shippeek.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Your ShipPeek API token in the format client_id.client_secret.

Body

application/json
id
string
required

Quote ID from the parcel rate response

rateId
string
required

Rate ID of the selected parcel rate

originCompany
string
originAddress
string
originContactName
string
originContactPhone
string
originContactEmail
string<email>
destCompany
string
destAddress
string
destContactName
string
destContactPhone
string
destContactEmail
string<email>

Response

Parcel shipment booked successfully